#!/usr/bin/perl

# Script:
# Private Symlink - Pondzip symlink in usr local bin


use strict;
use warnings;
use local::lib '/root/zzzzz-tmp/Apollias_Perl_Modules';



use ApolliaLib::Common::Loader;


$Launched_Script->Title("Private Symlink - Pondzip symlink in usr local bin");

$Launched_Script->is_Private();

$Launched_Script->Version("1");
$Launched_Script->ApolliaLib_Version("1");

$Launched_Script->Description("Makes a symlink in /usr/local/bin pointing to the panel's pondzipper.");



#$ApolliaLib->Shouldnt_Launch_New_Terminal_Window();		# Useful for debugging.

$ApolliaLib->Should_Note_Successful_Script_Completion();
$ApolliaLib->If_Script_Has_Been_Successfully_Completed_Before__Warn_and_Ask_if_User_Wants_to_Continue();
#$ApolliaLib->Dont_Rerun_If_Script_Has_Been_Successfully_Completed_Before();



use ApolliaLib::Puppy_Setup_Kit::Loader;


$Puppy_Setup_Kit->Puppy_Distro_is_("Lupu5284");


Typical_Script_Launch();

Typical_Postlaunch_Phase_for_Puppy_Setup_Kit_Script();


#####################################################
#
#	Start of most stuff unique to this script
#


#####################################
#
#	Additional modules
#
#

#use ApolliaLib::File_Handling::Many_Symlinks ("Make_Many_Symlinks");

use ApolliaLib::File_Handling::Overwriting::Single_Symlink ("Replace_Symlink_at_");
 
#
#
#	End of additional modules
#
#####################################################



#####################################
#
#	Start of variable declarations
#

my %symlinks_to_make__positions_then_destinations;

my $should_proceed;


#
#
#	End of variable declarations
#
#####################################################



$should_proceed
	= Ask_or_Dont_Ask_Whether_To_Do_Action
	(
		$Puppy_Setup_Kit->should_or_should_not_install_without_asking, 
		
		"make a symlink in /usr/local/bin pointing to the panel's pondzipper"
	);


if ( $should_proceed )
{

	
	
	#------------------
	#
	# Symlinks to make:
	
	#%symlinks_to_make__positions_then_destinations = (
	#	"/usr/local/bin/pondzip" => "/root/zzz-Meadow/Belvedere/Lupu5284/Grove/Panel/Pondzip",
	#	);
	
	#Make_Many_Symlinks(\%symlinks_to_make__positions_then_destinations);
	
	Replace_Symlink_at_("/usr/local/bin/pondzip", "and point it at", "/root/zzz-Meadow/Belvedere/Lupu5284/Grove/Panel/Pondzip");

	
	$Launched_Script->Was_Successfully_Completed();
	
}


End_Script();