#!/usr/bin/perl

# Script:
# Install TrueCrypt v7.1 for 32-bit Linuxes


use strict;
use warnings;
use local::lib '/root/zzzzz-tmp/Apollias_Perl_Modules';



use ApolliaLib::Common::Loader;


$Launched_Script->Title("Install TrueCrypt v7.1 for 32-bit Linuxes");

$Launched_Script->Version("1");
$Launched_Script->ApolliaLib_Version("1");

$Launched_Script->Description("Installs TrueCrypt v7.1, which is encryption software.");


#$ApolliaLib->Shouldnt_Launch_New_Terminal_Window();		# Useful for debugging.

$ApolliaLib->Should_Note_Successful_Script_Completion();
$ApolliaLib->If_Script_Has_Been_Successfully_Completed_Before__Warn_and_Ask_if_User_Wants_to_Continue();
#$ApolliaLib->Dont_Rerun_If_Script_Has_Been_Successfully_Completed_Before();




use ApolliaLib::Puppy_Setup_Kit::Loader;


$Puppy_Setup_Kit->Puppy_Distro_is_("Any_32_bit_Pup");


Typical_Script_Launch();

Typical_Postlaunch_Phase_for_Puppy_Setup_Kit_Script();


#####################################################
#
#	Start of most stuff unique to this script
#


#####################################
#
#	Additional modules
#
#


#
#
#	End of additional modules
#
#####################################################



#####################################
#
#	Start of variable declarations
#


my $command_line;
my $folder_to_run_shell_command_in;
my $chose_to_install;

#
#
#	End of variable declarations
#
#####################################################


$folder_to_run_shell_command_in=$Puppy_Setup_Kit->Realm_Path("Weir") . "TrueCrypt";


$command_line="./truecrypt-7.1-setup-x86";



$chose_to_install 
	= Install_Program_Via_Shell_Command( $Puppy_Setup_Kit->should_or_should_not_install_without_asking, $folder_to_run_shell_command_in, $command_line, "install TrueCrypt 7.1", "Installing TrueCrypt 7.1");



if ($chose_to_install)
{	
	$Launched_Script->Was_Successfully_Completed();

}


End_Script();