#!/usr/bin/perl

# Script:
# Settings Install - userChrome.css which shows URL bar and search bar constantly


use strict;
use warnings;
use local::lib '/root/zzzzz-tmp/Apollias_Perl_Modules';



use ApolliaLib::Common::Loader;


$Launched_Script->Title("Settings Install - userChrome.css which shows URL bar and search bar constantly");

$Launched_Script->Version("1");
$Launched_Script->ApolliaLib_Version("1");

$Launched_Script->Description("Installs a Firefox 32 userChrome.css which is configured to constantly show the URL bar and search bar.");


#$ApolliaLib->Shouldnt_Launch_New_Terminal_Window();		# Useful for debugging.

$ApolliaLib->Should_Note_Successful_Script_Completion();
$ApolliaLib->If_Script_Has_Been_Successfully_Completed_Before__Warn_and_Ask_if_User_Wants_to_Continue();
#$ApolliaLib->Dont_Rerun_If_Script_Has_Been_Successfully_Completed_Before();



use ApolliaLib::Puppy_Setup_Kit::Loader;


$Puppy_Setup_Kit->Puppy_Distro_is_("Any_Pup");


Typical_Script_Launch();

Typical_Postlaunch_Phase_for_Puppy_Setup_Kit_Script();


#####################################################
#
#	Start of most stuff unique to this script
#


#####################################
#
#	Additional modules
#
#

use ApolliaLib::File_or_Folder_Handling::Many_Relativepath_Items (
	"Copy_Relativepath_Items_to_Their_Dest_Parentdirs"
	);

use ApolliaLib::File_or_Folder_Handling::Many_Items ( "Chmod_Many_Items");

#
#
#	End of additional modules
#
#####################################################



#####################################
#
#	Start of variable declarations
#

my %files_to_copy__their_relative_paths__then_their_dest_parentdirs;
my @dirs_to_make;
my @files_to_chmod__their_full_paths;

my $should_proceed;

#
#
#	End of variable declarations
#
#####################################################



#$Puppy_Setup_Kit->Print_All_Realm_Hashes();


$should_proceed 
	= Ask_or_Dont_Ask_Whether_To_Do_Action(
	
	$Puppy_Setup_Kit->should_or_should_not_install_without_asking, 
	
	"install a Firefox 32 userChrome.css which is configured to constantly show the URL bar and search bar"
	);


if ( $should_proceed )
{
	
	
	
	#---------------
	#
	# Files to copy:
	
	print "\n\nNow copying file...";
	
	
	%files_to_copy__their_relative_paths__then_their_dest_parentdirs = (
		"Firefox/v32/Profiles/Default With Addons/userChrome/Shows URL bar and search bar constantly/userChrome.css" => "/root/aphome/Firefox_v32/.mozilla/firefox/DefaultWithAddons/chrome",
		
		
		);

	
	Copy_Relativepath_Items_to_Their_Dest_Parentdirs($Puppy_Setup_Kit->Realm_Path_for_Any_Pup("Spring"), \%files_to_copy__their_relative_paths__then_their_dest_parentdirs, "Overwrite Existing Files" );
	
	
	@files_to_chmod__their_full_paths = (
		"/root/aphome/Firefox_v32/.mozilla/firefox/DefaultWithAddons/chrome/userChrome.css"
	);	
	
	Chmod_Many_Items(\@files_to_chmod__their_full_paths, 0400);
		# Read only
		
	$Launched_Script->Was_Successfully_Completed();
	
}

End_Script();