#!/usr/bin/perl

# Script:
# Install Pet - DeaDBeeF audio player v0.4.2


use strict;
use warnings;
use local::lib '/root/zzzzz-tmp/Apollias_Perl_Modules';



use ApolliaLib::Common::Loader;


$Launched_Script->Title("Install .pet of DeaDBeeF audio player v0.4.2");

$Launched_Script->Version("1");
$Launched_Script->ApolliaLib_Version("1");

$Launched_Script->Description("Installs DeaDBeeF v0.4.2, a really nice audio player, capable of playing not only MP3s, but SPCs (without having to install anything extra!), MIDIs (if you install Freepats), and plenty of other audio formats.");


#$ApolliaLib->Shouldnt_Launch_New_Terminal_Window();		# Useful for debugging.

$ApolliaLib->Should_Note_Successful_Script_Completion();
$ApolliaLib->If_Script_Has_Been_Successfully_Completed_Before__Warn_and_Ask_if_User_Wants_to_Continue();
#$ApolliaLib->Dont_Rerun_If_Script_Has_Been_Successfully_Completed_Before();




use ApolliaLib::Puppy_Setup_Kit::Loader;


$Puppy_Setup_Kit->Puppy_Distro_is_("Lupu5284");


Typical_Script_Launch();

Typical_Postlaunch_Phase_for_Puppy_Setup_Kit_Script();


#####################################################
#
#	Start of most stuff unique to this script
#


#####################################
#
#	Additional modules
#
#

#
#
#	End of additional modules
#
#####################################################



#####################################
#
#	Start of variable declarations
#

my $pet_name;
my $pet_path;

my $chose_to_install;

#
#
#	End of variable declarations
#
#####################################################



$pet_name="DeaDBeef-0.4.2-Lucid.pet";

$pet_path=$Puppy_Setup_Kit->Realm_Path("Waterfall") . "Audio/DeaDBeeF/$pet_name";



$chose_to_install
	= Install_Pet ( $Puppy_Setup_Kit->should_or_should_not_install_without_asking, $pet_path, "DeaDBeeF v0.4.2");



if ($chose_to_install == true)
{
	
	$Launched_Script->Was_Successfully_Completed();
	
}	


End_Script();