#!/usr/bin/perl

# Script:
# Install Pet - GTK Theme Switch


use strict;
use warnings;
use local::lib '/root/zzzzz-tmp/Apollias_Perl_Modules';



use ApolliaLib::Common::Loader;


$Launched_Script->Title("Install Pet - GTK Theme Switch");

$Launched_Script->Version("1");
$Launched_Script->ApolliaLib_Version("1");

$Launched_Script->Description("Makes it possible to change the GTK theme via a command line.");


#$ApolliaLib->Shouldnt_Launch_New_Terminal_Window();		# Useful for debugging.

$ApolliaLib->Should_Note_Successful_Script_Completion();
$ApolliaLib->If_Script_Has_Been_Successfully_Completed_Before__Warn_and_Ask_if_User_Wants_to_Continue();
#$ApolliaLib->Dont_Rerun_If_Script_Has_Been_Successfully_Completed_Before();




use ApolliaLib::Puppy_Setup_Kit::Loader;


$Puppy_Setup_Kit->Puppy_Distro_is_("Lupu5284");


Typical_Script_Launch();

Typical_Postlaunch_Phase_for_Puppy_Setup_Kit_Script();


#####################################################
#
#	Start of most stuff unique to this script
#


#####################################
#
#	Additional modules
#
#


#
#
#	End of additional modules
#
#####################################################



#####################################
#
#	Start of variable declarations
#

my $pet_path;
my $pet_name;

my $chose_to_install;

#
#
#	End of variable declarations
#
#####################################################



$pet_name="gtk-theme-switch-i386.pet";

$pet_path=$Puppy_Setup_Kit->Realm_Path("Waterfall") . "GTK Theme Switch/$pet_name";


$chose_to_install
	= Install_Pet( $Puppy_Setup_Kit->should_or_should_not_install_without_asking, $pet_path, "GTK Theme Switch");

if ($chose_to_install)
{

	$Launched_Script->Was_Successfully_Completed();
}

End_Script();