#!/usr/bin/perl

# Script:
# Private Settings Install - Usual Thunderbird profiles.ini from Sept 15 2014


use strict;
use warnings;
use local::lib '/root/zzzzz-tmp/Apollias_Perl_Modules';



use ApolliaLib::Common::Loader;


$Launched_Script->Title("Private Settings Install - Usual Thunderbird profiles.ini from Sept 15 2014");

$Launched_Script->is_Private();

$Launched_Script->Version("1");
$Launched_Script->ApolliaLib_Version("1");

$Launched_Script->Description("My usual list of profiles for Thunderbird.");


#$ApolliaLib->Shouldnt_Launch_New_Terminal_Window();		# Useful for debugging.

$ApolliaLib->Should_Note_Successful_Script_Completion();
$ApolliaLib->If_Script_Has_Been_Successfully_Completed_Before__Warn_and_Ask_if_User_Wants_to_Continue();
#$ApolliaLib->Dont_Rerun_If_Script_Has_Been_Successfully_Completed_Before();



use ApolliaLib::Puppy_Setup_Kit::Loader;


$Puppy_Setup_Kit->Puppy_Distro_is_("Lupu5284");


Typical_Script_Launch();

Typical_Postlaunch_Phase_for_Puppy_Setup_Kit_Script();


#####################################################
#
#	Start of most stuff unique to this script
#


#####################################
#
#	Additional modules
#
#

use ApolliaLib::File_or_Folder_Handling::Many_Relativepath_Items (
	"Copy_Relativepath_Items_to_Their_Dest_Parentdirs"
	);

#
#
#	End of additional modules
#
#####################################################



#####################################
#
#	Start of variable declarations
#

my %files_to_copy__their_relative_paths__then_their_dest_parentdirs;

my $should_proceed;

#
#
#	End of variable declarations
#
#####################################################



#$Puppy_Setup_Kit->Print_All_Realm_Hashes();


$should_proceed 
	= Ask_or_Dont_Ask_Whether_To_Do_Action(
	
	$Puppy_Setup_Kit->should_or_should_not_install_without_asking, 
	
	"install your usual list of profiles for Thunderbird from Sept. 15, 2014"
	);


if ( $should_proceed )
{
	#---------------
	#
	# Files to copy:
	
	print "\n\nNow copying file...";
	
	
	%files_to_copy__their_relative_paths__then_their_dest_parentdirs = (
		"Thunderbird/v31.1.1/profiles ini/Usual - 2014-09-15/profiles.ini" => "/root/aphome/Thunderbird_v31_1_1/.thunderbird/"
		
		
		);

	
	Copy_Relativepath_Items_to_Their_Dest_Parentdirs($Puppy_Setup_Kit->Realm_Path("Spring"), \%files_to_copy__their_relative_paths__then_their_dest_parentdirs, "Overwrite Existing Files" );
	
	# Unused scrap, optional last argument:		"Overwrite Existing Files"
	
	
	$Launched_Script->Was_Successfully_Completed();
	
}

End_Script();