#!/usr/bin/perl

# Script:
# Launch Downloader for Any_32_bit_Pup Weir Downloads


use strict;
use warnings;
use local::lib '/root/zzzzz-tmp/Apollias_Perl_Modules';



use ApolliaLib::Common::Loader;


$Launched_Script->Title("Launch Downloader for Any_32_bit_Pup Weir Downloads");

$Launched_Script->Version("1");
$Launched_Script->ApolliaLib_Version("1");

$Launched_Script->Description("Launches a single step from a blueprint in another Puppy Setup Kit.");


#$ApolliaLib->Shouldnt_Launch_New_Terminal_Window();		# Useful for debugging.

$ApolliaLib->Should_Note_Successful_Script_Completion();
#$ApolliaLib->If_Script_Has_Been_Successfully_Completed_Before__Warn_and_Ask_if_User_Wants_to_Continue();
#$ApolliaLib->Dont_Rerun_If_Script_Has_Been_Successfully_Completed_Before();



use ApolliaLib::Puppy_Setup_Kit::Loader;


$Puppy_Setup_Kit->Puppy_Distro_is_("Lupu5284");


Typical_Script_Launch();

Typical_Postlaunch_Phase_for_Puppy_Setup_Kit_Script();


#####################################################
#
#	Start of most stuff unique to this script
#


#####################################
#
#	Additional modules
#
#

use ApolliaLib::Folder_Handling::Many_Folders ( 
	"Make_Many_Folder_Paths"
	);

#
#
#	End of additional modules
#
#####################################################



#####################################
#
#	Start of variable declarations
#

my @scripts_to_launch__their_relative_paths;

my $should_proceed;

#
#
#	End of variable declarations
#
#####################################################



	#---------------------
	#
	# Scripts to launch:
	
	
@scripts_to_launch__their_relative_paths = (

		
		"Blueprints/Download Software for Any_32_bit_Pup Setup Kit/Any_32_bit_Pup Weir Downloads.pl",
		
		
	);
	
Print_Array_Indentedly(\@scripts_to_launch__their_relative_paths);

print "\n\n";


Launch_Many_Relativepath_Scripts("perl", $Puppy_Setup_Kit->Realm_Path_for_Other_Pup("Any_32_bit_Pup", "Woodland") . "Apollia's Puppy Setup Kit/", \@scripts_to_launch__their_relative_paths, "Dont_Open_Window", "Dont_Wait_For_Return_At_Scripts_End", "Dont_Do_Things_Automatically" );
	
	
	
	
$Launched_Script->Was_Successfully_Completed();
	
	

End_Script();