#!/usr/bin/perl

# Script:
# Set Keycodes for Compaq SK-2800C Default Settings


use strict;
use warnings;
use local::lib '/root/zzzzz-tmp/Apollias_Perl_Modules';



use ApolliaLib::Common::Loader;


$Launched_Script->Title("Set Keycodes for Compaq SK-2800C Default Settings");

$Launched_Script->Version("1");
$Launched_Script->ApolliaLib_Version("1");

$Launched_Script->Description("Makes the extra keys on a Compaq SK-2800C keyboard do something by using the setkeycodes command.");



#$ApolliaLib->Shouldnt_Launch_New_Terminal_Window();		# Useful for debugging.

$ApolliaLib->Should_Note_Successful_Script_Completion();
$ApolliaLib->If_Script_Has_Been_Successfully_Completed_Before__Warn_and_Ask_if_User_Wants_to_Continue();
#$ApolliaLib->Dont_Rerun_If_Script_Has_Been_Successfully_Completed_Before();



use ApolliaLib::Puppy_Setup_Kit::Loader;


$Puppy_Setup_Kit->Puppy_Distro_is_("Lupu5284");


Typical_Script_Launch();

Typical_Postlaunch_Phase_for_Puppy_Setup_Kit_Script();


#####################################################
#
#	Start of most stuff unique to this script
#


#####################################
#
#	Additional modules
#
#


#
#
#	End of additional modules
#
#####################################################



#####################################
#
#	Start of variable declarations
#

my $should_proceed;


#
#
#	End of variable declarations
#
#####################################################



$should_proceed
	= Ask_or_Dont_Ask_Whether_To_Do_Action
	(
		$Puppy_Setup_Kit->should_or_should_not_install_without_asking, 
		
		"set keycodes for the Compaq SK-2800C Default Settings"
	);


if ( $should_proceed )
{


	#---------------
	#
	# Command lines toe execute:
	
	system "setkeycodes e018 150";
	system "setkeycodes e01e 151";
	system "setkeycodes e026 152";
	system "setkeycodes e025 153";
	system "setkeycodes e023 154";
	system "setkeycodes e01f 155";

	chdir "/root/";

	system ("xmodmap .Xmodmap");
	
	
	
	$Launched_Script->Was_Successfully_Completed();
	
}


End_Script();