#!/usr/bin/perl

# Script:
# Use Random Wallpaper from Wallpaper Folder on Current Disk


use strict;
use warnings;
use local::lib '/root/zzzzz-tmp/Apollias_Perl_Modules';



use ApolliaLib::Common::Loader;


$Launched_Script->Title("Use Random Wallpaper from Setup Kit Disk");

$Launched_Script->Version("1");
$Launched_Script->ApolliaLib_Version("1");

$Launched_Script->Description("Chooses a random wallpaper from /mnt/[disk of this script]/Wallpapers");


#$ApolliaLib->Shouldnt_Launch_New_Terminal_Window();		# Useful for debugging.

$ApolliaLib->Should_Note_Successful_Script_Completion();
#$ApolliaLib->If_Script_Has_Been_Successfully_Completed_Before__Warn_and_Ask_if_User_Wants_to_Continue();
##$ApolliaLib->Dont_Rerun_If_Script_Has_Been_Successfully_Completed_Before();



use ApolliaLib::Puppy_Setup_Kit::Loader;


$Puppy_Setup_Kit->Puppy_Distro_is_("Lupu5284");


Typical_Script_Launch();

Typical_Postlaunch_Phase_for_Puppy_Setup_Kit_Script();


#####################################################
#
#	Start of most stuff unique to this script
#


#####################################
#
#	Additional modules
#
#

use ApolliaLib::Wallpaper::Misc ( 
	"Use_A_Random_Wallpaper_from_Folder"
	);
	
#
#
#	End of additional modules
#
#####################################################



#####################################
#
#	Start of variable declarations
#

my $relative_path_of_wallpaper_folder;
my $full_path_of_wallpaper_folder;

my $should_proceed=false;

#
#
#	End of variable declarations
#
#####################################################

$relative_path_of_wallpaper_folder="Wallpaper";


$full_path_of_wallpaper_folder="/mnt/" . $Launched_Script->disk . "/" . $relative_path_of_wallpaper_folder;


$should_proceed=Ask_or_Dont_Ask_Whether_To_Do_Action(
	$Puppy_Setup_Kit->should_or_should_not_install_without_asking, 
	"choose a random wallpaper from the path $full_path_of_wallpaper_folder"
	);

if ( $should_proceed )
{
	
	
	#-------------------
	#
	# Wallpaper to set:
	
	Use_A_Random_Wallpaper_from_Folder($full_path_of_wallpaper_folder);
	
	
}

End_Script();